#
# Copyright (C)2022 @BABOLO http://www.babolo.ru/
# pkg = cipalite
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: logi.pleaf.m4,v 1.4 2022/08/20 22:14:14 babolo Exp $
#

eval
#style   00y001
logi
#style   00y002
goeq
#select  100_
SELECT CINM(x).CIAT(h) FROM CINM(x) WHERE COALESCE(CINM(x).CIAT(cred) == 0, 1);
#select  201_
SELECT CASE WHEN CINM(g).CINM(i) > 0 THEN '&' ELSE '?' END            AS delim
     , CASE WHEN CINM(g).CINM(i) > 0 THEN CINM(g).CIAT(n) ELSE '' END AS left
     , CINM(g).CIAT(g)                                                AS right
 FROM CINM(g), CINM(x)
 WHERE COALESCE(CINM(x).CIAT(cred) == 0, 1)
ORDER BY CINM(g).CINM(i)
;
#display 001001
#display 002002
#close   101001
#close   202002
