#
# Copyright (C)2022 @BABOLO http://www.babolo.ru/
# pkg = cipalite
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: into.pleaf.m4,v 1.3 2022/09/04 20:21:49 babolo Exp $
#
#  

eval
#select  1002
SELECT 1
 FROM SQNM(x), SQNM(pass)
 WHERE pass IS NULL
    OR regexp('^[ 	]*$', SQNM(x).SQAT(pass))
    OR SQNM(x).SQAT(login) IS NULL
    OR (   SQNM(x).SQAT(cipa) == SQNM(pass).SQAT(context)
       AND SQNM(x).SQAT(login) == SQNM(pass).SQAT(login)
       )
    OR (   NOT regexp('^[-.a-zA-Z0-9_+]+@([-a-zA-Z0-9]+\.?)+$', SQNM(x).SQAT(login))
       AND NOT regexp('^"[-.a-zA-Z0-9_,^%&*+]+"@([-a-zA-Z0-9]+\.?)+$', SQNM(x).SQAT(login))
       )
;
#eval    001
##close   00000_
##style   00y00_
into
##select  _00_
SELECT CINM(x).CIAT(h) AS host, CINM(x).CIAT(sess) AS sess, CINM(pnode).CIAT(p) AS page
 FROM CINM(pnode), CINM(x)
 WHERE CINM(pnode).CIAT(m) == 'PKG' AND CINM(pnode).CIAT(v) == 'fail'
;
##display 00_00_
##exit
